Subject: RE: draft-ietf-fax-reporting-extensions-01.txt

From: Dan Wing <[email-masked]>
Date: Mon, 14 Sep 1998 17:51:37 -0700

>>      extension-field = [ call-begin-time ]
>>                        [ call-end-time ]
>>                        [ transmitted-pages ]
>>                        [ media-features ]
>>                        [ bit-rate-field ]
>>                        [ call-attempts ]
>>
>>      call-begin-time   = "Call-Begin" ":" begin-time
>
>Does more need to be said about what exactly constitutes the
>"call-begin-time" (start of dial, completion of connection, detection of
>fax tone, etc.).  Or is this deliberately vague?  In which case it might
>help to be specific that it's not specific.
>
>Similar comments would probably apply to some of the other new fields.

>>      call-end-time     = "Call-End" ":" end-time
>>      transmitted-pages = "Transmitted-Pages" ":" xmit-pages
>>      media-features    = "Media-Features" ":" media-feature-tags
>>      bit-rate-field    = "Bit-Rate" ":" bit-rate
>>      call-attempts     = "Call-Attempts" ":" attempt-count
>>
>>      begin-time     = <rfc822 date format>
>>      end-time       = <rfc822 date format>
>
>Would this better be RFC1123 (with 4-digit years, if I recall correctly?)

Yes, thanks for catching that.

>>      xmit-pages     = 1*DIGIT
>>      media-feature-tags = *text <per [MEDIA-FEATURES] with LWS wrapping>
>>      bit-rate       = "110" / "300" / "1200" / "2400" / "4800" / "9600" / 
>>                       "14400" / "28800"
>
>Why not just an integer?  (Just asking!)

I've dropped it entirely.  Integer is okay with me if someone develops
a mechanism to describe all interesting aspects of per-page
transmission. 

I've changed the whole section to be less fax-specific, but more
useful for both faxing and printing:

      extension-field = [ start-date ]
                        [ finish-date ]
                        [ transmitted-pages ]
                        [ media-features ]
                        [ xmit-attempts ]
 
      start-date        = "Start-Date" ":" datetime
      finish-date       = "Finish-Date" ":" datetime
      transmitted-pages = "Total-Pages" ":" xmit-pages
      media-features    = "Remote-Media-Features" ":"
                           media-feature-tags
      xmit-attempts     = "Transmit-Attempts" ":" attempt-count
 
      datetime       = <date/time format from [RFC1123] section 5.2.14>
      xmit-pages     = 1*10DIGIT
      media-feature-tags = *text     ;per [MEDIA-FEATURES] with
                                     ;LWSP wrapping [RFC2234]
      attempt-count  = 1*10DIGIT
 
   The start-date and finish-date are deliberately vague and do not
   necessarily coorelate to the beginning of the dial sequence,
   connection to the remote device, or beginning of data transmission.
   Some implementations may not be able to acheive all these different
   levels of granularity.
 
   Examples:
 
      Start-Date: Fri, 8 Aug 1998 09:03:02 -0700
      Finish-Date: Fri, 8 Aug 1998 09:05:07 -0700
      Transmit-Attempts: 1
      Transmitted-Pages: 8
      Bit-Rate: 9600
      Remote-Media-Features: pagesize=a4

>>3.2.1.  Final-Recipient
>>
>>   The Final-Recipient field (which is present in both [RFC1894]
>>   and [RFC2298] message formats) can be used to indicate the actual
>>   number dialed.
>>   
>>   The "address-type" is "phone".  The "generic-address" is a telephone
>>   number which SHOULD be in the format of "global-phone" (as defined in
>>   [RFC2303]).
>
>Would it be a good idea to (also) say "if it begins with a '+' character,
>MUST be in the format of "global-phone" per [RFC2303]"?  This would make it
>consistent with FAX= mailbox addressing, which seems like a useful
>principle to me.

Yes, I think so.  I just added that.

Thanks!
-d